import { Box, Button, SvgIcon, Typography } from '@material-ui/core';
import React, { FC } from 'react';
import styles from './style';

interface OperationSuccessProps{
  type : 'creation' | 'remplacement'
}

const SuccessImage  = () => (
  <SvgIcon viewBox="0 0 350.388 269.212">
    <g id="Groupe_2809" data-name="Groupe 2809" transform="translate(330.066 383.416)">
      <path
        id="Tracé_2580"
        data-name="Tracé 2580"
        d="M-251.137-126.061c-83.745-31.018-97.34-153.72-57.31-162.837s86.721-61.094,128.485-85.081,41.238,1.313,120.5,35.98,45.974,55.036,68.094,94.18S22.5-156.1-24.914-144.746-167.392-95.044-251.137-126.061Z"
        fill="#e0e0e0"
      />
      <g id="Groupe_2804" data-name="Groupe 2804">
        <path
          id="Tracé_2662"
          data-name="Tracé 2662"
          d="M-226.929-176.03s-19.576-49.68-49.033-55.941C-275.962-231.971-250.8-178.945-226.929-176.03Z"
          fill="#fff"
        />
        <path
          id="Tracé_2663"
          data-name="Tracé 2663"
          d="M-291.25-226.091c.266-.052.53-.094.793-.132h0c6.872-.984,13.067,2.779,17.264,8.254,4.115-1.009,8.92,1.729,10.255,6.386,1.454-1.318,5.443.55,7.909,3.459a9.341,9.341,0,0,1,1.74,9.1c2.352-.916,5.816,2.912,5.976,5.951s-.566,4.011-1.278,6.409a7.29,7.29,0,0,1,3.187,6.7,10.313,10.313,0,0,1-3.7,7.7l-.025.021c-.057.048-.113.093-.169.137l-.047.039c-.052.041-.1.079-.154.118l-.054.041-.142.1-.054.039-.132.092-.053.037-.119.079-.053.034-.108.069-.046.029-.1.059-.041.024-.085.049-.037.021-.068.038-.034.018-.053.029-.022.011-.041.021-.014.007-.024.012-.013.006s-6.339.5-9.857-2.513a6.359,6.359,0,0,1-2.05-6.268l-.15-.026c-.1-.017-.236-.043-.408-.076s-.375-.076-.6-.125a12.872,12.872,0,0,1-3.322-1.122c-.1-.058-.186-.116-.268-.177a7.01,7.01,0,0,1-2.809-4.22,4.129,4.129,0,0,1,.432-2.947,2.97,2.97,0,0,1,.6-.708c-.346-.006-.7-.023-1.044-.055a9.555,9.555,0,0,1-2.077-.407,6.986,6.986,0,0,1-2.311-1.248c-.113-.093-.224-.193-.334-.3-.087-.08-.173-.161-.257-.248a8.316,8.316,0,0,1-1.475-2.133,3.828,3.828,0,0,1-.259-3.085,3.926,3.926,0,0,1,1.367-1.767,13.59,13.59,0,0,1-5.838-6.153,7.635,7.635,0,0,1-.756-5.309,22.885,22.885,0,0,1-5.636-6.114A22.145,22.145,0,0,1-291.25-226.091Z"
          fill="#f5f5f5"
        />
        <path
          id="Tracé_2664"
          data-name="Tracé 2664"
          d="M-291.25-226.091c.266-.052.53-.094.793-.132h0c6.872-.984,13.067,2.779,17.264,8.254,4.115-1.009,8.92,1.729,10.255,6.386,1.454-1.318,5.443.55,7.909,3.459a9.341,9.341,0,0,1,1.74,9.1c2.352-.916,5.816,2.912,5.976,5.951s-.566,4.011-1.278,6.409a7.29,7.29,0,0,1,3.187,6.7,10.313,10.313,0,0,1-3.7,7.7l-.025.021c-.057.048-.113.093-.169.137l-.047.039c-.052.041-.1.079-.154.118l-.054.041-.142.1-.054.039-.132.092-.053.037-.119.079-.053.034-.108.069-.046.029-.1.059-.041.024-.085.049-.037.021-.068.038-.034.018-.053.029-.022.011-.041.021-.014.007-.024.012-.013.006s-6.339.5-9.857-2.513a6.359,6.359,0,0,1-2.05-6.268l-.15-.026c-.1-.017-.236-.043-.408-.076s-.375-.076-.6-.125a12.872,12.872,0,0,1-3.322-1.122c-.1-.058-.186-.116-.268-.177a7.01,7.01,0,0,1-2.809-4.22,4.129,4.129,0,0,1,.432-2.947,2.97,2.97,0,0,1,.6-.708c-.346-.006-.7-.023-1.044-.055a9.555,9.555,0,0,1-2.077-.407,6.986,6.986,0,0,1-2.311-1.248c-.113-.093-.224-.193-.334-.3-.087-.08-.173-.161-.257-.248a8.316,8.316,0,0,1-1.475-2.133,3.828,3.828,0,0,1-.259-3.085,3.926,3.926,0,0,1,1.367-1.767,13.59,13.59,0,0,1-5.838-6.153,7.635,7.635,0,0,1-.756-5.309,22.885,22.885,0,0,1-5.636-6.114A22.145,22.145,0,0,1-291.25-226.091Z"
          fill="#f5f5f5"
          style={{ mixBlendMode: 'multiply', isolation: 'isolate' }}
        />
        <path
          id="Tracé_2665"
          data-name="Tracé 2665"
          d="M-286.115-221.286c.462,1.843,23.989,18.913,42.029,57.707"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
        <path
          id="Tracé_2666"
          data-name="Tracé 2666"
          d="M-302.961-183.618c.2-.076.412-.143.619-.207h0c5.7-1.535,11.7.32,16.805,2.874,2.541-2.254,6.837-2.261,10.046.146.259-1.582,3.61-2.352,6.53-2.045a8.168,8.168,0,0,1,6.2,3.966c.65-1.959,4.624-2.363,6.721-1.178s2.48,2.059,3.934,3.468a7.323,7.323,0,0,1,6.378-.21,8.266,8.266,0,0,1,4.968,4.794l.009.024.055.166.015.046c.016.051.03.1.044.148l.016.053c.013.046.025.091.036.136l.014.052c.011.044.02.085.03.126l.011.051c.009.039.016.076.024.113l.009.049c.007.035.013.069.019.1l.007.044c.006.032.01.062.015.091l.005.038.011.079,0,.034.006.064,0,.031.005.048v.021l0,.038v.046s-2.17,5.4-6.669,7.211a6.636,6.636,0,0,1-6.589-.632s-.037.036-.105.1-.166.153-.291.262-.273.238-.442.378a12.072,12.072,0,0,1-2.887,1.852c-.107.042-.212.078-.313.107a8.171,8.171,0,0,1-5.274-.156,3.7,3.7,0,0,1-2.08-1.812,2,2,0,0,1-.162-.752c-.227.209-.465.413-.718.608a8.253,8.253,0,0,1-1.693,1.016,7.291,7.291,0,0,1-2.549.607c-.15.009-.3.011-.46.011-.122,0-.244,0-.37-.007a9.53,9.53,0,0,1-2.656-.53,4.079,4.079,0,0,1-2.422-1.882,2.762,2.762,0,0,1-.237-1.86,13.7,13.7,0,0,1-8.372-1.8,8.084,8.084,0,0,1-3.684-3.871,20.18,20.18,0,0,1-7.675-3.521A21.567,21.567,0,0,1-302.961-183.618Z"
          fill="#f5f5f5"
        />
        <path
          id="Tracé_2667"
          data-name="Tracé 2667"
          d="M-302.961-183.618c.2-.076.412-.143.619-.207h0c5.7-1.535,11.7.32,16.805,2.874,2.541-2.254,6.837-2.261,10.046.146.259-1.582,3.61-2.352,6.53-2.045a8.168,8.168,0,0,1,6.2,3.966c.65-1.959,4.624-2.363,6.721-1.178s2.48,2.059,3.934,3.468a7.323,7.323,0,0,1,6.378-.21,8.266,8.266,0,0,1,4.968,4.794l.009.024.055.166.015.046c.016.051.03.1.044.148l.016.053c.013.046.025.091.036.136l.014.052c.011.044.02.085.03.126l.011.051c.009.039.016.076.024.113l.009.049c.007.035.013.069.019.1l.007.044c.006.032.01.062.015.091l.005.038.011.079,0,.034.006.064,0,.031.005.048v.021l0,.038v.046s-2.17,5.4-6.669,7.211a6.636,6.636,0,0,1-6.589-.632s-.037.036-.105.1-.166.153-.291.262-.273.238-.442.378a12.072,12.072,0,0,1-2.887,1.852c-.107.042-.212.078-.313.107a8.171,8.171,0,0,1-5.274-.156,3.7,3.7,0,0,1-2.08-1.812,2,2,0,0,1-.162-.752c-.227.209-.465.413-.718.608a8.253,8.253,0,0,1-1.693,1.016,7.291,7.291,0,0,1-2.549.607c-.15.009-.3.011-.46.011-.122,0-.244,0-.37-.007a9.53,9.53,0,0,1-2.656-.53,4.079,4.079,0,0,1-2.422-1.882,2.762,2.762,0,0,1-.237-1.86,13.7,13.7,0,0,1-8.372-1.8,8.084,8.084,0,0,1-3.684-3.871,20.18,20.18,0,0,1-7.675-3.521A21.567,21.567,0,0,1-302.961-183.618Z"
          fill="#f5f5f5"
          style={{ mixBlendMode: 'multiply', isolation: 'isolate' }}
        />
        <path
          id="Tracé_2668"
          data-name="Tracé 2668"
          d="M-296.925-180.009c18.433,12.3,45.564,10.773,65.545,4.9"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
        <path
          id="Tracé_2669"
          data-name="Tracé 2669"
          d="M-284.639-200.949s.375-6.19-3.941-10.284-6.985-4.956-6.985-4.956C-296.136-209.772-293.153-199.275-284.639-200.949Z"
          fill="#878787"
        />
        <path
          id="Tracé_2670"
          data-name="Tracé 2670"
          d="M-246.937-172.13s-5.772-3.442-4.7-8.619,3.289-6.99,3.289-6.99C-244.212-183.506-240.8-176.422-246.937-172.13Z"
          fill="#878787"
        />
        <path
          id="Tracé_2671"
          data-name="Tracé 2671"
          d="M-246.684-171.885s-6.4-1.906-10.626,1.608-4.611,6.289-4.611,6.289C-256.231-162.348-244.862-162.975-246.684-171.885Z"
          fill="#878787"
        />
        <path
          id="Tracé_2672"
          data-name="Tracé 2672"
          d="M-259.548-177.644s-5.032-3.515-3.654-8.521,3.633-6.681,3.633-6.681C-255.871-188.354-253.885-181.6-259.548-177.644Z"
          fill="#878787"
        />
        <path
          id="Tracé_2673"
          data-name="Tracé 2673"
          d="M-259.394-177.39s-5.89-3.008-10.577-.238-5.521,5.469-5.521,5.469C-270.148-169.486-259.064-168.3-259.394-177.39Z"
          fill="#878787"
        />
        <path
          id="Tracé_2674"
          data-name="Tracé 2674"
          d="M-269.868-184.5s-4.777-3.955-3.149-8.971,3.993-6.515,3.993-6.515C-265.688-195.175-264.1-188.263-269.868-184.5Z"
          fill="#878787"
        />
        <path
          id="Tracé_2675"
          data-name="Tracé 2675"
          d="M-269.967-184.972s-5.261-3.963-10.263-1.972-6.237,4.547-6.237,4.547C-281.663-178.826-271.017-175.9-269.967-184.972Z"
          fill="#878787"
        />
        <path
          id="Tracé_2676"
          data-name="Tracé 2676"
          d="M-279.4-194.054s-4.263-4.589-2.127-9.5,4.64-6.112,4.64-6.112C-274.189-204.429-273.31-197.3-279.4-194.054Z"
          fill="#878787"
        />
        <path
          id="Tracé_2677"
          data-name="Tracé 2677"
          d="M-279.426-194.543s-4.5-4.879-9.7-3.768-6.816,3.454-6.816,3.454C-291.906-190.5-281.86-185.608-279.426-194.543Z"
          fill="#878787"
        />
        <path
          id="Tracé_2678"
          data-name="Tracé 2678"
          d="M-290.42-208.087c11.244,15.57,25.336,29.5,43.117,36.2"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
      </g>
      <g id="Groupe_2805" data-name="Groupe 2805">
        <path
          id="Tracé_1914"
          data-name="Tracé 1914"
          d="M-32.723-192.346c-4.163,13.94-25.556,34.861-39.5,30.7s-15.15-31.835-10.987-45.774S-46.74-288.32-32.8-284.15-28.559-206.289-32.723-192.346Z"
          fill="#f5f5f5"
        />
        <line
          id="Ligne_99"
          data-name="Ligne 99"
          x1="35.09"
          y2="112.643"
          transform="translate(-70.811 -275.148)"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.867"
        />
        <path
          id="Tracé_1915"
          data-name="Tracé 1915"
          d="M-64.311-203.187a101,101,0,0,0-12.568,20.444c-1.708,3.732-3.217,7.859-2.319,11.859.982,4.371,4.719,7.694,8.841,9.449,10.07,4.287,22.136.428,30.406-6.744s13.525-17.119,18.5-26.867c3.916-7.677,7.829-15.482,13.313-22.187,2.353-2.883,14.532-13.219,11.019-17.523-4.76-6.07-23.045-5.205-36.892,4.053A131.125,131.125,0,0,0-64.311-203.187Z"
          fill="#fff"
        />
        <path
          id="Tracé_1916"
          data-name="Tracé 1916"
          d="M-70.352-161.447s24.727-46.214,62.215-67.023"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.867"
        />
      </g>
      <g id="Groupe_2806" data-name="Groupe 2806">
        <path
          id="Tracé_1917"
          data-name="Tracé 1917"
          d="M-42.528-137.329a8.951,8.951,0,0,1-3.44-3.26c-1.08-1.543-2.057-3.2-3.005-4.808a58.493,58.493,0,0,0-3.966-6.125,21.817,21.817,0,0,0-3.539-3.648A50.329,50.329,0,0,1-45.2-149.937c4.439,2.8,6.852,5.89,7.173,9.178l.023.235a3.713,3.713,0,0,1-.519,2.425A3.368,3.368,0,0,1-42.528-137.329Z"
          fill="#878787"
        />
        <path
          id="Tracé_1918"
          data-name="Tracé 1918"
          d="M-65.06-131.421a8.974,8.974,0,0,1-1.713-4.419c-.317-1.861-.487-3.775-.659-5.629a57.994,57.994,0,0,0-.964-7.238,21.826,21.826,0,0,0-1.636-4.806,50.322,50.322,0,0,1,7.955,9.551c2.813,4.434,3.673,8.256,2.556,11.365-.026.072-.053.143-.081.214a3.71,3.71,0,0,1-1.507,1.971A3.371,3.371,0,0,1-65.06-131.421Z"
          fill="#878787"
        />
        <path
          id="Tracé_1919"
          data-name="Tracé 1919"
          d="M-77.17-138.988a6.134,6.134,0,0,1,1.219-3c.713-1.071,1.527-2.107,2.313-3.109a39.832,39.832,0,0,0,2.915-4.048,14.976,14.976,0,0,0,1.441-3.16,34.285,34.285,0,0,1-.52,8.479c-.679,3.524-2.042,5.827-4.061,6.851-.048.023-.093.046-.142.068a2.528,2.528,0,0,1-1.673.274A2.3,2.3,0,0,1-77.17-138.988Z"
          fill="#878787"
        />
        <path
          id="Tracé_1920"
          data-name="Tracé 1920"
          d="M-83.258-163.283s21.672-2.011,42.646,22.644"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
        <path
          id="Tracé_1921"
          data-name="Tracé 1921"
          d="M-83.257-163.283s18.2,6.424,20.345,28.44"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
        <path
          id="Tracé_1922"
          data-name="Tracé 1922"
          d="M-69.528-152.528s.728,4.233-5.119,13.793"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
      </g>
      <g id="Groupe_2807" data-name="Groupe 2807">
        <path
          id="Tracé_1924"
          data-name="Tracé 1924"
          d="M-202.835-216.194c-5.71-6.508-12.923-12.11-15.237-20.35-1.69-6.023-.422-12.413.184-18.638s.341-13.1-3.712-17.866c-3.34-3.924-8.589-5.606-13.633-6.661s-10.306-1.7-14.793-4.241c-7.285-4.118-5.881-11.208-9.816-17.4-4.415-6.942-14.644-15.769-23.339-11.089-9.207,4.956-7.655,19.83-1.471,26.362,4.1,4.335,9.345,8.484,9.98,14.418.957,8.933-9.236,17.041-6.366,25.556,2.124,6.288,10.073,8.407,14.026,13.735,3.914,5.272,3.176,12.7.928,18.866s-5.812,11.88-7.194,18.3c-2.829,13.131,7.515,22.132,19.256,24.986C-243.224-167.588-220-169-220-169a44.434,44.434,0,0,0,21.935-18.276,23.073,23.073,0,0,0,1.132-20.039A33.343,33.343,0,0,0-202.835-216.194Z"
          fill="#f5f5f5"
        />
        <path
          id="Tracé_1925"
          data-name="Tracé 1925"
          d="M-272.771-298.349S-232.73-237.307-228-169.287"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="1"
        />
      </g>
      <g id="Groupe_2808" data-name="Groupe 2808">
        <path
          id="Tracé_1926"
          data-name="Tracé 1926"
          d="M-257.835-144.407a2.384,2.384,0,0,1-.752-1.4l-.026-.145c-.388-2.087.551-4.422,2.794-6.943a32.27,32.27,0,0,1,6.03-5.236,13.963,13.963,0,0,0-1.535,2.882,37.38,37.38,0,0,0-1.357,4.487c-.294,1.158-.607,2.358-1,3.5a5.755,5.755,0,0,1-1.547,2.626A2.166,2.166,0,0,1-257.835-144.407Z"
          fill="#878787"
        />
        <path
          id="Tracé_1927"
          data-name="Tracé 1927"
          d="M-242.526-143.678a2.374,2.374,0,0,1-1.281-.949c-.031-.038-.06-.077-.088-.118-1.244-1.72-1.4-4.232-.447-7.47a32.369,32.369,0,0,1,3.211-7.308,13.972,13.972,0,0,0-.153,3.262,37.387,37.387,0,0,0,.692,4.637c.227,1.179.461,2.39.6,3.593a5.762,5.762,0,0,1-.272,3.033A2.163,2.163,0,0,1-242.526-143.678Z"
          fill="#878787"
        />
        <path
          id="Tracé_1928"
          data-name="Tracé 1928"
          d="M-234.636-150.115a1.623,1.623,0,0,1-1.081.128c-.034-.005-.066-.01-.1-.017-1.425-.273-2.677-1.452-3.723-3.505a22.006,22.006,0,0,1-1.832-5.143,9.518,9.518,0,0,0,1.453,1.695,25.854,25.854,0,0,0,2.517,1.982c.664.478,1.349.97,1.981,1.508a3.947,3.947,0,0,1,1.286,1.634A1.482,1.482,0,0,1-234.636-150.115Z"
          fill="#878787"
        />
        <path
          id="Tracé_1929"
          data-name="Tracé 1929"
          d="M-234.705-167.911S-248.441-165.294-257-146.34"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
        <path
          id="Tracé_1930"
          data-name="Tracé 1930"
          d="M-234.706-167.913a21.512,21.512,0,0,0-7.5,21.179"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
        <path
          id="Tracé_1931"
          data-name="Tracé 1931"
          d="M-241.266-158.83s.306,2.744,5.617,7.6"
          fill="none"
          stroke="#000"
          strokeLinecap="round"
          strokeLinejoin="round"
          strokeWidth="0.78"
        />
      </g>
      <circle
        id="Ellipse_140"
        data-name="Ellipse 140"
        cx="104.519"
        cy="104.519"
        r="104.519"
        transform="translate(-259.391 -337.689)"
        fill="#878787"
      />
      <circle
        id="Ellipse_141"
        data-name="Ellipse 141"
        cx="84.425"
        cy="84.425"
        r="84.425"
        transform="translate(-239.434 -316.499)"
        fill="#3c3c3b"
      />
      <circle
        id="Ellipse_142"
        data-name="Ellipse 142"
        cx="80.182"
        cy="80.182"
        r="80.182"
        transform="matrix(1, -0.029, 0.029, 1, -237.336, -312.373)"
        fill="#fff"
      />
      <path
        id="Tracé_2679"
        data-name="Tracé 2679"
        d="M-214.438-274.381l63.29,90.576L-5.7-327l-142.761,95.325Z"
        fill="#1d1d1b"
      />
    </g>
  </SvgIcon>
);

const OperationSuccess: FC<OperationSuccessProps & { handleClose(): void }> = ({ handleClose , type }) => {
  const classes = styles();

  return (
    <Box className={classes.success}>
      <SuccessImage />
      <Typography variant="h1" color="textSecondary" gutterBottom>
        {`${ type === 'creation' ? "Ajout" : "Remplacement" } de document réussi.`}
      </Typography>
      <Typography color="textSecondary" variant="body2">
        Celle-ci est conservée en tant que demande en attente d'approbation jusqu'à sa validation.
      </Typography>
      <Button variant="contained" onClick={handleClose} className={classes.btn}>
        Fermer
      </Button>
    </Box>
  );
};

export default OperationSuccess;
